<template>
  <div>
    <nuxt-content :document="project" />
  </div>
</template>

<script>
export default {
  props: {},
  async asyncData({ $content, params }) {
    const project = await $content('projects', params.slug)
      // .only(['title', 'description', 'img', 'slug', 'author'])
      // .sortBy('createdAt', 'asc')
      .sortBy('sort', 'asc')
      .fetch()

    // console.log(project)
    return { project }
  },
  data() {
    return {
      project: null,
    }
  },
  created() {},
  methods: {},
}
</script>

<style lang="scss" scoped></style>
